org.apache.cassandra.cql3.functions

## Class CastFcts

- java.lang.Object
- - org.apache.cassandra.cql3.functions.CastFcts

-     public final class CastFcts
      extends java.lang.Object

  Casting functions

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Collection<Function>` | `all()`
    `static java.lang.String` | `getFunctionName(AbstractType<?> outputType)` Creates the name of the cast function use to cast to the specified type.
    `static java.lang.String` | `getFunctionName(CQL3Type outputType)` Creates the name of the cast function use to cast to the specified type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### all

          public static java.util.Collection<Function> all()

    - #### getFunctionName

          public static java.lang.String getFunctionName(AbstractType<?> outputType)

      Creates the name of the cast function use to cast to the specified type.
      Parameters:
        `outputType` - the output type
      Returns:
        the name of the cast function use to cast to the specified type

    - #### getFunctionName

          public static java.lang.String getFunctionName(CQL3Type outputType)

      Creates the name of the cast function use to cast to the specified type.
      Parameters:
        `outputType` - the output type
      Returns:
        the name of the cast function use to cast to the specified type

Copyright © 2018 The Apache Software Foundation